> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasprintingautoinstallfont.md).

# Add-RASPrintingAutoInstallFont

### NAME

Add-RASPrintingAutoInstallFont\ <br>

### SYNOPSIS

Adds an Auto install font to Parallels RAS Universal Printing settings.\ <br>

### SYNTAX

Add-RASPrintingAutoInstallFont -[FontFilePath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPrintingAutoInstallFont.html#FontFilePath) *\<string>* \[-[ExcludeFont](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPrintingAutoInstallFont.html#ExcludeFont) *\<SwitchParameter>*] \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPrintingAutoInstallFont.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Add-RASPrintingAutoInstallFont.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds an Auto install font to Parallels RAS Universal Printing settings.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID.\
\
To obtain the ID of a desired site, use the Get-Sites cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**FontFilePath \<string>**\
Auto Install Font Path.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ExcludeFont \<SwitchParameter>**\
Automatically Exclude Font from embedding.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Add-RASPrintingAutoInstallFont -FontFilePath "C:\Windows\Fonts\arialbd.ttf"\
\
Adds the font to RAS Universal Printing Auto install fonts settings.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Add-RASPrintingAutoInstallFont -FontFilePath "C:\Windows\Fonts\arialbd.ttf" -ExcludeFont\
\
Adds the font to RAS Universal Printing Auto install fonts settings and adds the font to the embedding exclusion list.\ <br>

### RELATED LINKS

* [Get-RASPrintingSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPrintingSettings.html)
* [Set-RASPrintingSettings](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Set-RASPrintingSettings.html)
* [Get-RASPrintingAutoInstallFont](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPrintingAutoInstallFont.html)
* [Remove-RASPrintingAutoInstallFont](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Remove-RASPrintingAutoInstallFont.html)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/add-rasprintingautoinstallfont.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
